Bug 115121 - [maintainer update] Update mail/mlmmj to 1.2.15
Summary: [maintainer update] Update mail/mlmmj to 1.2.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frank J. Laszlo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-01 18:30 UTC by xi
Modified: 2007-08-06 00:30 UTC (History)
0 users

See Also:


Attachments
mlmmj.diff (13.33 KB, patch)
2007-08-01 18:30 UTC, xi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description xi 2007-08-01 18:30:01 UTC
The attached patch updates mail/mlmmj to version 1.2.15.

Please note that the format of listtexts have changed. So, if you have
custom listtexts which contain non-USASCII characters, you should convert
them. It is easily done with the following one-liner:

perl -i -p -e 's/([\x80-\xff])/sprintf("\\u%04X",ord($1))/ge' /path/to/texts/*
Comment 1 Frank J. Laszlo freebsd_committer 2007-08-06 00:18:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->laszlof

I'll take it.
Comment 2 dfilter service freebsd_committer 2007-08-06 00:22:59 UTC
laszlof     2007-08-05 23:22:53 UTC

  FreeBSD ports repository

  Modified files:
    mail/mlmmj           Makefile distinfo pkg-plist 
  Log:
  Update to version 1.2.15
  
  Maintainer notes:
  Please note that the format of listtexts have changed. So, if you have
  custom listtexts which contain non-USASCII characters, you should convert
  them. It is easily done with the following one-liner:
  
  perl -i -p -e 's/([\x80-\xff])/sprintf("\\u%04X",ord($1))/ge' /path/to/texts/*
  
  PR:             ports/115121
  Submitted by:   Christian Laursen <xi@borderworlds.dk> (maintainer)
  
  Revision  Changes    Path
  1.28      +1 -1      ports/mail/mlmmj/Makefile
  1.25      +3 -3      ports/mail/mlmmj/distinfo
  1.11      +276 -33   ports/mail/mlmmj/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Frank J. Laszlo freebsd_committer 2007-08-06 00:23:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!